<template>
  <div>
    <h2>Создание абонента</h2>
    <b-form @submit="create">
      <b-form-group label="ФИО:">
        <b-input-group class="mb-2">
          <b-form-input v-model="form.lname" required placeholder="Фамилия" />
          <b-form-input v-model="form.fname" required placeholder="Имя" />
          <b-form-input v-model="form.mname" placeholder="Отчество" />
        </b-input-group>
      </b-form-group>
      <b-form-group label="Паспорт:">
        <b-input-group class="mb-2">
          <b-form-input v-model="form.passport_series" required placeholder="Серия" />
          <b-form-input v-model="form.passport_number" required placeholder="Номер" />
        </b-input-group>
        <b-form-input v-model="form.passport_issuer" type="text" required placeholder="Кем выдан" />
      </b-form-group>
      <b-form-group label="Пол:">
        <b-form-radio-group v-model="form.gender" :options="gender"></b-form-radio-group>
      </b-form-group>
      <b-form-group label="Телефон:">
        <b-input v-model="form.phone" required />
      </b-form-group>
      <b-button type="submit" variant="primary">
        Создать
      </b-button>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL } }) {
    return { baseURL }
  },
  data () {
    return {
      gender: [
        { text: 'Мужской', value: 'male' },
        { text: 'Женский', value: 'female' }
      ],
      form: {
        fname: '',
        lname: '',
        mname: '',
        gender: 'male',
        phone: '',
        passport_series: '',
        passport_number: '',
        passport_issuer: '',
        data: {}
      }
    }
  },
  head () {
    return {
      title: 'Создание абонента'
    }
  },
  methods: {
    async create (e) {
      e.preventDefault()
      console.log(this.form)
      const response = await axios.post(`${this.baseURL}/abonents`, this.form)
      if (response.status === 201) {
        this.$router.push({ path: `/abonents/${response.data._id}` })
      }
    }
  }
}
</script>

<style scoped>

</style>
